$buttonColor: #B2382B;

body {
    width: 100vw;
    height: 100vh;
    background: url('https://www.presentationmagazine.com/images3/subtle-waves1024.jpg') center/cover no-repeat;
}

.modalButtonsWrapper {
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}


.buttonForDeleteModal {
    position: relative;
    box-sizing: border-box;
    background-color: $buttonColor;
    color: #fff;
    border-radius: 3px;
    width: 90px;
    height: 35px;
    border: none;
    margin-right: 15px;
    cursor: pointer;
    transition: .3s ease;
}

.buttonForDeleteModal:hover {
    background: lighten($buttonColor, 1%);
} 

.buttonForDeleteModal:before, .buttonForDeleteModal:after {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    opacity: 0;
    box-sizing: border-box;
}

.buttonForDeleteModal:before {
    bottom: 0;
    left: 0;
    border-left: 1px solid white;
    border-top: 1px solid white;
    transition: 0s ease opacity .8s, .2s ease width .4s, .2s ease height .6s;
}

.buttonForDeleteModal:after {
    top: 0;
    right: 0;
    border-right: 1px solid white;
    border-bottom: 1px solid white;
    transition: 0s ease opacity .4s, .2s ease width, .2s ease height .2s;
}

.buttonForDeleteModal:hover:before, 
.buttonForDeleteModal:hover:after {
    height: 100%;
    width: 100%;
    opacity: 1;
}

.buttonForDeleteModal:hover:before {
    transition: 0s ease opacity 0s, .2s ease height, .2s ease width .2s;
}

.buttonForDeleteModal:hover:after {
    transition: 0s ease opacity .4s, .2s ease height .4s, .2s ease width .6s;
}

.buttonForDeleteModal:hover {
    background: rgba(255, 255, 255, .2);
}

.buttonForAddModal {
    position: relative;
    background: transparent;
    color: #fff;
    border: 1px solid;
    border-image: linear-gradient(to bottom, coral, yellow);
    border-image-slice: 1;
    width: 100px;
    height: 45px;
    margin-right: 15px;
    cursor: pointer;
    transition: .3s ease;
    overflow: hidden;
    transition: .8s cubic-bezier(.165, .84, .44, 1);
}

.buttonForAddModal:before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    height: 0;
    width: 100%;
    z-index: -1;
    color: white;
    background: linear-gradient(to bottom, coral,yellow);
    transition: .8s cubic-bezier(.165, .84, .44, 1);
}

.buttonForAddModal:hover {
    background: rgba(255, 255, 255, 0);
}

.buttonForAddModal:hover:before {
    bottom: 0%;
    top: auto;
    height: 100%;
}
